ACOSH(3) | NetBSD Library Functions Manual | ACOSH(3)

# NAME

acosh, acoshf — inverse hyperbolic cosine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
acosh(double x);

float
acoshf(float x);

# DESCRIPTION

The acosh() and acoshf() functions compute the inverse hyperbolic cosine of the real argument x.

# RETURN VALUES

If x is less than one, acosh(x) and acoshf(x) return NaN and set the global variable errno to EDOM.

# SEE ALSO

asinh(3), atanh(3), exp(3), math(3)

# HISTORY

The acosh() function appeared in 4.3BSD.

May 6, 1991 | NetBSD 5.99